{smcl}
{* *! version 1.9  15apr2010}{...}
{cmd:help anovalator}
{hline}

{title:Syntax}

{p 4 25 2}{cmd:anovalator} {it:varlist} [ , {cmdab:f:ratio} {cmd:wgt(}{it:string}{cmd:)} 
{cmdab:main:effect} {cmdab:two:way} {cmd:2way} {cmd:3way}{break} {cmdab:q:uietly} {cmdab:pair:wise} 
{cmd:simple} {cmd:at(}{it:passthru}{cmd:)} {cmdab:pr:edict(}{it:passthru}{cmd:)} ]{p_end}

{pstd}{...}
This complex syntax can be broken down into six simpler syntaxes.{p_end}

{pstd}{...}
{cmd:anovalator} {it:varlist} [ , {cmdab:main:effect} {cmdab:f:ratio} {cmd:at}({it:passthru}) ] (main effects){break}
{cmd:anovalator} {it:varlist (max 2)} [ , {cmd:2way} {cmdab:f:ratio} {cmd:at}({it:passthru}) ]  (two-way interaction){break}
{cmd:anovalator} {it:varlist (max 3)} [ , {cmd:3way} {cmdab:f:ratio} {cmd:at}({it:passthru}) ]    (3-way interaction){break}
{cmd:anovalator} {it:varlist (max 2)} [ , {cmd:simple} {cmdab:f:ratio} {cmd:at}({it:passthru}) ]  (simple main effects){break}
{cmd:anovalator} {it:varname} [ , {cmdab:pair:wise} {cmdab:q:uietly} {cmd:at}({it:passthru}) ]       (pairwise comparisons){break}
{cmd:anovalator} {it:varname} [ , {cmd:wgt(}{it:string}{cmd:)} {cmdab:q:uietly} {cmd:at}({it:passthru}) ]    (linear contrasts){p_end}

{title:About anovalator}

{pstd}{...}
{cmd:anovalator} is a post-estimation command that can be used after any model that accepts the {cmd:margins} command.  
{cmd:anovalator} will estimate main effects, two-way & 3-way interactions, pairwise comparisons and arbitrary linear contrasts.
{p_end}

{pstd}Note: {cmd:2way} is an alias for {cmd:twoway}.{pend}

{pstd}This help file has minimal information, so please visit the web page, 
"How can I use the anovalator command?", at 
http://www.ats.ucla.edu/stat/stata/faq/anovalator.htm{p_end}

{title:Examples}

{cmd:. anovalator grp female, main fratio at(read=20)}        (main effects               )
{cmd:. anovalator grp female, 2way fratio}                    (two-way interaction        )
{cmd:. anovalator grp female ses, 3way fratio}                (3-way interaction          ) 
{cmd:. anovalator grp, pair at(read=20)}                      (pairwise comparisons       )
{cmd:. anovalator grp, wgt(1/2 1/2 -1/2 -1/2) q at(math=30)}  (linear contrast            )
{cmd:. anovalator grp female, simple fratio}                  (test of simple main effects)

{p2colreset}{...}

{title:Author}

{p 4 4 2}Philip B. Ender{break}
UCLA Statistical Consulting Group{break}
ender@ucla.edu 

{p2colreset}{...}

